package com.bytedance.android.live.slot;

import X.2GD;
import X.AnonymousClass0CH;
import X.AnonymousClass14Q;
import X.AnonymousClass14Z;
import X.C03060Bs;
import X.C03070Bt;
import X.C03090Bv;
import X.C03110Bx;
import X.C03120By;
import X.C265614c;
import X.C265914f;
import X.C28491Bn;
import X.C39401hK;
import android.animation.Animator;
import android.graphics.drawable.Drawable;
import com.bytedance.covode.number.Covode;
import com.bytedance.provider.vm.ScopeViewModel;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public interface IIconSlot {
    static {
        Covode.recordClassIndex(10597);
    }

    C265914f LIZ();

    Animator.AnimatorListener LIZIZ();

    public static class SlotViewModel extends C03070Bt {
        public final C28491Bn<Boolean> LIZ = new C28491Bn<>();
        public final C28491Bn<Boolean> LIZIZ = new C28491Bn<>();
        public final C28491Bn<String> LIZJ = new C28491Bn<>();
        public final C28491Bn<Boolean> LIZLLL = new C28491Bn<>();
        public final C28491Bn<Drawable> LJ = new C28491Bn<>();
        public final C28491Bn<Drawable> LJFF = new C28491Bn<>();
        public final C28491Bn<Drawable> LJI = new C28491Bn<>();
        public final C28491Bn<Drawable> LJII = new C28491Bn<>();
        public final C28491Bn<String> LJIIIIZZ = new C28491Bn<>();
        public final C28491Bn<String> LJIIIZ = new C28491Bn<>();
        public final C28491Bn<String> LJIIJ = new C28491Bn<>();
        public final C28491Bn<Boolean> LJIIJJI = new C28491Bn<>();
        public final Map<AnonymousClass14Z, C28491Bn<Object>> LJIIL = new ConcurrentHashMap();
        public long LJIILIIL = 0;
        public String LJIILJJIL;
        public String LJIILL;
        public String LJIILLIIL;
        public Integer LJIIZILJ;
        public AnonymousClass14Q LJIJ;

        static {
            Covode.recordClassIndex(10598);
        }

        private void LIZIZ(AnonymousClass0CH r3) {
            this.LIZ.removeObservers(r3);
            this.LIZIZ.removeObservers(r3);
            this.LIZJ.removeObservers(r3);
            this.LIZLLL.removeObservers(r3);
            this.LJ.removeObservers(r3);
            this.LJII.removeObservers(r3);
            this.LJIIIIZZ.removeObservers(r3);
            this.LJIIIZ.removeObservers(r3);
            this.LJIIJ.removeObservers(r3);
            this.LJI.removeObservers(r3);
            this.LJIIJJI.removeObservers(r3);
            this.LJFF.removeObservers(r3);
            for (C28491Bn<Object> removeObservers : this.LJIIL.values()) {
                removeObservers.removeObservers(r3);
            }
        }

        public final void LIZ(AnonymousClass0CH r5) {
            LIZIZ(r5);
            this.LJIILIIL = 0;
            this.LJIILL = null;
            this.LJIILJJIL = null;
            this.LIZIZ.setValue(false);
            this.LIZJ.setValue(null);
            this.LIZLLL.setValue(false);
            this.LJ.setValue(null);
            this.LJII.setValue(null);
            this.LJIIIIZZ.setValue(null);
            this.LJIIIZ.setValue(null);
            this.LJIIJ.setValue(null);
            this.LJIIJJI.setValue(false);
            this.LJI.setValue(null);
            this.LIZ.setValue(false);
            this.LJFF.setValue(null);
            this.LJIIL.clear();
        }

        public static SlotViewModel LIZ(C265614c r4, C39401hK r5) {
            C03070Bt LIZ2;
            C03110Bx LIZ3 = C03120By.LIZ(r5, (C03090Bv) null);
            if (2GD.LIZ) {
                C03060Bs.LIZ(LIZ3, r5);
            }
            String str = r4.LJIIIIZZ().name() + r4.hashCode();
            Class cls = SlotViewModel.class;
            if (cls.equals(ScopeViewModel.class)) {
                LIZ2 = LIZ3.LIZ(str, cls);
            } else {
                LIZ2 = LIZ3.LIZ(str, cls);
                if (2GD.LIZ) {
                    C03060Bs.LIZ(LIZ2, LIZ3);
                }
            }
            return (SlotViewModel) LIZ2;
        }
    }
}
